/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2009 OW2 Consortium, http://www.ow2.org/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: JmsBC.java 676 2006-06-27 15:44:03Z alouis $
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.bc.jms;

public class Constants {
    
    /**
     * JMS Property names are defined according to the SOAP over JMS
     * specifications (http://www.w3.org/TR/soapjms/)
     */
    public class JMSPropertyNames {
        
        /**
         * Name of the property containining the soap action.
         */
        public static final String JMS_OPERATION_NAME = "jms_operation_name";
    }
    
    /**
     * Names of JBI descriptors (component and SU) extensions.
     *
     */
    public class Extensions {
        public final static String MAX_ACTIVE = "max-active";

        public final static String MAX_IDLE = "max-idle";

        public final static String MAX_WAIT = "max-wait";

        public final static String TIME_BETWEEN_EVICTION_RUNS_MILLIS = "time-between-eviction-run-smillis";

        public final static String MIN_EVICTABLE_IDLE_TIME_MILLIS = "min-evictable-idle-time-millis";

        public final static String TEST_WHILE_IDLE = "test-while-idle";
        
        public final static String OPERATION = "operation";
    }

    

}
