/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: 
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.bc.jms.connection;

import javax.jms.JMSException;
import javax.jms.JMSSecurityException;
import javax.jms.MessageConsumer;
import javax.naming.Context;

import org.ow2.petals.component.framework.api.exception.PEtALSCDKException;



public class JMSConsumerConnection extends AbstractJMSConnection {

    private MessageConsumer messageConsumer;

    public JMSConsumerConnection(Context jndiContext,
            String connectionFactoryName, String destinationName,
            boolean transacted, String user, String password) {
        super(jndiContext, connectionFactoryName, destinationName, transacted,
                user, password);
    }

    public void createJMSConsumerOrProducer() throws PEtALSCDKException {
        try {
            this.messageConsumer = this.session
                    .createConsumer(this.destination);
        } catch (JMSSecurityException e) {
            throw new PEtALSCDKException(
                    "Can not start JMS consumer, READ right not granted.", e);
        } catch (JMSException e) {
            throw new PEtALSCDKException(
                    "Cannot create JMS consumer for destination : "
                            + destination, e);
        }
    }

    public MessageConsumer getMessageConsumer() {
        return messageConsumer;
    }
}
