/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: 
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.bc.jms.connection;

import java.util.logging.Logger;

import javax.naming.Context;

import org.ow2.petals.component.framework.api.configuration.ConfigurationExtensions;
import org.ow2.petals.component.framework.api.exception.PEtALSCDKException;


public class JMSConsumerConnectionFactory extends AbstractJMSConnectionFactory {

    public JMSConsumerConnectionFactory(
            ConfigurationExtensions extensions, Logger logger) throws PEtALSCDKException{
        super(extensions, logger);
    }

    public AbstractJMSConnection createJMSConnection(Context context,
            String connName, String destName, String user, String password,
            boolean transacted) {
        return new JMSConsumerConnection(context, connName, destName,
                transacted, user, password);
    }

}
