/**
 * PETALS - PETALS Services Platform. Copyright (c) 2005 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id:
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.bc.jms.listener;

import java.util.logging.Level;

import org.ow2.petals.component.framework.api.exception.PEtALSCDKException;
import org.ow2.petals.component.framework.api.message.Exchange;
import org.ow2.petals.component.framework.listener.AbstractJBIListener;
import org.ow2.petals.component.framework.util.UtilFactory;

public class ResponseManager {

    private final AbstractJBIListener listener;

    public ResponseManager(final AbstractJBIListener listener) {
        super();
        this.listener = listener;
    }

    public void onJBIMessage(final Exchange exchange) throws PEtALSCDKException {
        // Simply log Response content
        if (this.listener.getLogger().isLoggable(Level.FINE)) {
            this.listener.getLogger().fine(
                    "JMS BC receive an unhandled response message:\n"
                    + UtilFactory.getSourceUtil().createString(
                            exchange.getOutMessage().getContent()));
        }
    }
}
